
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Web
Imports System.Configuration
Imports System.Web.Script.Serialization
Imports premium.localweather
Imports premium.locationsearch
Imports premium.timezone
Imports premium.marineweather
Imports premium.pastweather

''' <summary>
''' Summary description for PremiumAPI
''' </summary>
Public Class PremiumAPI
	Public ApiBaseURL As String = ConfigurationManager.AppSettings("PremiumApiBaseURL")
	Public PremiumAPIKey As String = ConfigurationManager.AppSettings("PremiumAPIKey")

	Public Function GetLocalWeather(input As LocalWeatherInput) As LocalWeather
		' create URL based on input paramters
		Dim apiURL As String = ApiBaseURL + "weather.ashx?q=" + input.query + "&format=" + input.format + "&extra=" + input.extra + "&num_of_days=" + input.num_of_days + "&date=" + input.[date] + "&fx=" + input.fx + "&cc=" + input.cc + "&includelocation=" + input.includelocation + "&show_comments=" + input.show_comments + "&callback=" + input.callback + "&key=" + PremiumAPIKey

		' get the web response
		Dim result As String = RequestHandler.Process(apiURL)

		' serialize the json output and parse in the helper class
		Dim lWeather As LocalWeather = DirectCast(New JavaScriptSerializer().Deserialize(result, GetType(LocalWeather)), LocalWeather)

		Return lWeather
	End Function

	Public Function SearchLocation(input As LocationSearchInput) As LocationSearch
		' create URL based on input paramters
		Dim apiURL As String = ApiBaseURL + "search.ashx?q=" + input.query + "&format=" + input.format + "&timezone=" + input.timezone + "&popular=" + input.popular + "&num_of_results=" + input.num_of_results + "&callback=" + input.callback + "&key=" + PremiumAPIKey

		' get the web response
		Dim result As String = RequestHandler.Process(apiURL)

		' serialize the json output and parse in the helper class
		Dim locationSearch As LocationSearch = DirectCast(New JavaScriptSerializer().Deserialize(result, GetType(LocationSearch)), LocationSearch)

		Return locationSearch
	End Function

    Public Function GetTimeZone(ByVal input As TimeZoneInput) As free.timezone.Timezone
        ' create URL based on input paramters
        Dim apiURL As String = ApiBaseURL + "tz.ashx?q=" + input.query + "&format=" + input.format + "&callback=" + input.callback + "&key=" + PremiumAPIKey

        ' get the web response
        Dim result As String = RequestHandler.Process(apiURL)

        ' serialize the json output and parse in the helper class
        Dim timeZone As free.timezone.Timezone = DirectCast(New JavaScriptSerializer().Deserialize(result, GetType(free.timezone.Timezone)), free.timezone.Timezone)

        Return timeZone
    End Function

	Public Function GetMarineWeather(input As MarineWeatherInput) As MarineWeather
		' create URL based on input paramters
		Dim apiURL As String = ApiBaseURL + "marine.ashx?q=" + input.query + "&format=" + input.format + "&fx=" + input.fx + "&callback=" + input.callback + "&key=" + PremiumAPIKey

		' get the web response
		Dim result As String = RequestHandler.Process(apiURL)

		' serialize the json output and parse in the helper class
		Dim mWeather As MarineWeather = DirectCast(New JavaScriptSerializer().Deserialize(result, GetType(MarineWeather)), MarineWeather)

		Return mWeather
	End Function

	Public Function GetPastWeather(input As PastWeatherInput) As PastWeather
		' create URL based on input paramters
		Dim apiURL As String = ApiBaseURL + "past-weather.ashx?q=" + input.query + "&format=" + input.format + "&extra=" + input.extra + "&enddate=" + input.enddate + "&date=" + input.[date] + "&includelocation=" + input.includelocation + "&callback=" + input.callback + "&key=" + PremiumAPIKey

		' get the web response
		Dim result As String = RequestHandler.Process(apiURL)

		' serialize the json output and parse in the helper class
		Dim pWeather As PastWeather = DirectCast(New JavaScriptSerializer().Deserialize(result, GetType(PastWeather)), PastWeather)

		Return pWeather
	End Function

End Class


