Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.ComponentModel
Imports free.localweather
Imports free.locationsearch
Imports free.timezone
Imports free.marineweather
Imports System.Collections
Imports System.Reflection

Public Partial Class TestFreeAPI
	Inherits System.Web.UI.Page
	Protected Sub Page_Load(sender As Object, e As EventArgs)

	End Sub

	Protected Sub btnLocalWeatherFree_Click(sender As Object, e As EventArgs)
		' set input parameters for the API
		Dim input As New LocalWeatherInput()
		input.query = "Karachi"
		input.num_of_days = "2"
		input.format = "JSON"

		' call the local weather method with input parameters
		Dim api As New FreeAPI()
		Dim localWeather As LocalWeather = api.GetLocalWeather(input)

		' printing a few values to show how to get the output
        txtOutput.Text = vbCr & vbLf & " Cloud Cover: " + localWeather.data.current_Condition(0).cloudcover.ToString
        txtOutput.Text += vbCr & vbLf & " Humidity: " + localWeather.data.current_Condition(0).humidity.ToString
        txtOutput.Text += vbCr & vbLf & " Temp C: " + localWeather.data.current_Condition(0).temp_C.ToString
        txtOutput.Text += vbCr & vbLf & " Visibility: " + localWeather.data.current_Condition(0).weatherDesc(0).value.ToString
        txtOutput.Text += vbCr & vbLf & " Observation Time: " + localWeather.data.current_Condition(0).observation_time.ToString
        txtOutput.Text += vbCr & vbLf & " Pressue: " + localWeather.data.current_Condition(0).pressure.ToString

	End Sub

	Protected Sub btnLocationSearchFree_Click(sender As Object, e As EventArgs)
		' set input parameters for the API
		Dim input As New LocationSearchInput()
		input.query = "Karachi"
		input.num_of_results = "3"
		input.format = "JSON"

		' call the location Search method with input parameters
		Dim api As New FreeAPI()
		Dim locationSearch As LocationSearch = api.SearchLocation(input)

		' printing a few values to show how to get the output
        txtOutput.Text = vbCr & vbLf & " Area Name: " + locationSearch.search_API.result(0).areaName(0).value.ToString
        txtOutput.Text += vbCr & vbLf & " Country: " + locationSearch.search_API.result(0).country(0).value.ToString
        txtOutput.Text += vbCr & vbLf & " Latitude: " + locationSearch.search_API.result(0).latitude.ToString
        txtOutput.Text += vbCr & vbLf & " Longitude: " + locationSearch.search_API.result(0).longitude.ToString
        txtOutput.Text += vbCr & vbLf & " Population: " + locationSearch.search_API.result(0).population.ToString
        txtOutput.Text += vbCr & vbLf & " Region: " + locationSearch.search_API.result(0).region(0).value.ToString
	End Sub

	Protected Sub btnTimeZoneFree_Click(sender As Object, e As EventArgs)
		' set input parameters for the API
		Dim input As New TimeZoneInput()
		input.query = "Karachi"
		input.format = "JSON"

		' call the location Search method with input parameters
		Dim api As New FreeAPI()
        Dim timeZone As free.timezone.Timezone = api.GetTimeZone(input)

		' printing a few values to show how to get the output
        txtOutput.Text = vbCr & vbLf & " Local Time: " + timeZone.data.time_zone(0).localtime.ToString
        txtOutput.Text += vbCr & vbLf & " Time Offset: " + timeZone.data.time_zone(0).utcOffset.ToString
	End Sub

	Protected Sub btnMarineWeatherFree_Click(sender As Object, e As EventArgs)
		' set input parameters for the API
		Dim input As New MarineWeatherInput()
		input.query = "45,-2"
		input.format = "JSON"

		' call the location Search method with input parameters
		Dim api As New FreeAPI()
		Dim marineWeather As MarineWeather = api.GetMarineWeather(input)

		' printing a few values to show how to get the output
        txtOutput.Text = vbCr & vbLf & " Distance(miles): " + marineWeather.data.nearest_area(0).distance_miles.ToString
        txtOutput.Text += vbCr & vbLf & " Latitude: " + marineWeather.data.nearest_area(0).latitude.ToString
        txtOutput.Text += vbCr & vbLf & " Longitude: " + marineWeather.data.nearest_area(0).longitude.ToString
        txtOutput.Text += vbCr & vbLf & " Date: " + marineWeather.data.weather(0).[date].ToString
        txtOutput.Text += vbCr & vbLf & " Min Temp (c): " + marineWeather.data.weather(0).mintempC.ToString
        txtOutput.Text += vbCr & vbLf & " Max Temp (c): " + marineWeather.data.weather(0).maxtempC.ToString
        txtOutput.Text += vbCr & vbLf & " Cloud Cover: " + marineWeather.data.weather(0).hourly(0).cloudcover.ToString
	End Sub
End Class

